curl --request GET \
--url https://app.famulor.io/api/v1/shopify/installations/{id}/calls/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.famulor.io/api/v1/shopify/installations/{id}/calls/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.io/api/v1/shopify/installations/{id}/calls/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"direction": "<string>",
"summary": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"duration_sec": 123,
"assistant_id": "<string>",
"started_at": "<string>",
"ended_at": "<string>",
"transcript": [
{}
],
"transcript_display": [
{
"kind": "message",
"role": "user",
"text": "<string>",
"interrupted": true,
"ended_at": "2023-11-07T05:31:56Z",
"attachments": [
{}
],
"timestamp": "2023-11-07T05:31:56Z"
}
],
"recording_url": "<string>",
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"payload": {}
}
]
}
}Shopify — call
Get store conversation. Restricted to the connected store and workspace. Requires workspace owner or admin access, integrations:read and calls:read.
CLI
famulor get-shopify-call STORE_ID CALL_ID
Autorisations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, billing:write, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Paramètres de chemin
Linked Shopify store ID
Associated conversation ID
Réponse
Get store conversation.
Show child attributes
Show child attributes